%bcond_with bootstrap

Name:           maven-file-management
Epoch:          1
Version:        3.1.0
Release:        %mkrel 1
Group:          Development/Java
Summary:        Maven File Management API
License:        ASL 2.0
URL:            https://maven.apache.org/shared/file-management
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://repo1.maven.org/maven2/org/apache/maven/shared/file-management/%{version}/file-management-%{version}-source-release.zip

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.codehaus.modello:modello-maven-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(org.slf4j:slf4j-simple)
%endif

%description
Provides a component for plugins to easily resolve project dependencies.

%package javadoc
Summary:        Javadoc for %{name}
    
%description javadoc
API documentation for %{name}.

%prep
%setup -q -n file-management-%{version}

%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Wed May 22 2024 ns80 <ns80> 1:3.1.0-1.mga10
+ Revision: 2066095
- new version 3.1.0 for java 21
+ neoclust <neoclust>
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 1:3.0.0-18.mga9
+ Revision: 1870649
- Fix bootstrap build
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:3.0.0-6.mga8
+ Revision: 1491745
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1:3.0.0-5.mga7
+ Revision: 1264053
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 1:3.0.0-4.mga6
+ Revision: 1101392
- Rebuild maven-* packages
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1:3.0.0-2.mga6
+ Revision: 977324
- First rebuild of the java stack
- sync package maven-file-management with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Jan 11 2015 pterjan <pterjan> 1:1.2.1-10.mga5
+ Revision: 809899
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 1:1.2.1-9.mga5
+ Revision: 744671
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1:1.2.1-7.mga4
+ Revision: 529792
- Mageia 4 Mass Rebuild

* Fri Jul 12 2013 dmorgan <dmorgan> 1:1.2.1-6.mga4
+ Revision: 453397
- imported package maven-file-management


* Tue Feb 19 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1:1.2.1-6
- Build with xmvn

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1:1.2.1-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Fri Jan 18 2013 Tomas Radej <tradej@redhat.com> - 1:1.2.1-3
- Added proper Provides/Obsoletes in javadoc
- Fixed changelog entries

* Mon Jan 14 2013 Tomas Radej <tradej@redhat.com> - 1:1.2.1-2
- Added licence text
- Changed maven target from install to package
- Creating directories in Install

* Wed Aug 08 2012 Tomas Radej <tradej@redhat.com> - 1.2.1-1
- Initial version

